ros-lunar-hardware-interface (0.12.0-0yakkety) yakkety; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 04 Aug 2017 23:00:00 -0000

ros-lunar-hardware-interface (0.11.5-0yakkety) yakkety; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 27 Jun 2017 23:00:00 -0000

ros-lunar-hardware-interface (0.11.4-0yakkety) yakkety; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 14 Feb 2017 00:00:00 -0000

ros-lunar-hardware-interface (0.11.3-0yakkety) yakkety; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-lunar-hardware-interface (0.11.2-0yakkety) yakkety; urgency=high

  * Add Enrique and Bence to maintainer list
  * Clean up export leftovers from rosbuild
  * Convert to format2, fix dependency in cmake
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 28 Nov 2016 00:00:00 -0000

ros-lunar-hardware-interface (0.11.1-0yakkety) yakkety; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 17 Aug 2016 23:00:00 -0000

ros-lunar-hardware-interface (0.11.0-0yakkety) yakkety; urgency=high

  * Allow the InterfaceManager class to register other InterfaceManagers.
    This will make it possible to combine several RobotHW objects into a single one.
  * Contributors: Toni Oliver

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-lunar-hardware-interface (0.10.1-0yakkety) yakkety; urgency=high

  * Fix rosconsole errors from test build
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 22 Apr 2016 23:00:00 -0000

ros-lunar-hardware-interface (0.10.0-0yakkety) yakkety; urgency=high

  * Fix doSwitch execution point
    The doSwitch method needs to be executed in the update() method,  that is, in
    the real-time path, which is where controller switching actually takes place.
    It was previously done in the switchController callback, which is non real-time.
  * Introduce prepareSwitch, replacement of canSwitch
  * Add InterfaceManager::getNames
    Add new method that allows to query the names of all interfaces managed by
    an InterfaceManager instance.
  * Multi-interface controllers
    - C++ API break.
    - Modify ControllerInfo class to allow controllers to claim resources from
    multiple hardware interfaces.
    - Propagate changes to RobotHW::checkForConflict: Default resource ownsership
    policy is aware of controllers claiming resources from  multiple hardware
    interfaces.
    - Update and extend the corresponding test suite.
  * Address -Wunused-parameter warnings
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-lunar-hardware-interface (0.9.3-0yakkety) yakkety; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 04 May 2015 23:00:00 -0000

ros-lunar-hardware-interface (0.9.2-0yakkety) yakkety; urgency=high

  * Add HW interface switch feature
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-lunar-hardware-interface (0.9.1-0yakkety) yakkety; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-lunar-hardware-interface (0.9.0-0yakkety) yakkety; urgency=high

  * Add PosVel and PosVelAcc command interfaces
  * Documentation fixes
  * Contributors: Igorec, shadowmanos

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-lunar-hardware-interface (0.8.2-0yakkety) yakkety; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 24 Jun 2014 23:00:00 -0000

ros-lunar-hardware-interface (0.8.1-0yakkety) yakkety; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 23 Jun 2014 23:00:00 -0000

ros-lunar-hardware-interface (0.8.0-0yakkety) yakkety; urgency=high

  * Fix doc typo.
  * Remove rosbuild artifacts. Fix #154 <https://github.com/ros-controls/ros_control/issues/154>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 11 May 2014 23:00:00 -0000

ros-lunar-hardware-interface (0.7.2-0yakkety) yakkety; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-lunar-hardware-interface (0.7.1-0yakkety) yakkety; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-lunar-hardware-interface (0.7.0-0yakkety) yakkety; urgency=high

  * Add ResourceHandle typedef
  * add name to anonymous objects to avoid cppcheck error
  * Contributors: Daniel Pinyol, Igorec

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-lunar-hardware-interface (0.6.0-0yakkety) yakkety; urgency=high

  * Update interface_manager.h
    Trivial doc fix
  * Add raw data accessors to actuators interface.
    Write access to the raw actuator data will be needed for automatic transmission
    loading.
  * Fix doc typo.
  * Migrate RobotHW class to use InterfaceManager.
  * Factor out interface management parts of RobotHW.
    - Interface management is needed in the transmission_interface package as well.
    - Add new InterfaceManager internal class, with tests.
    - RobotHW remains untouched.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-lunar-hardware-interface (0.5.8-0yakkety) yakkety; urgency=high

  * Renamed manifest.xml to prevent conflicts with rosdep
  * Move from postfix to prefix increment in loops.
    Detected by cppcheck 'postfixOperator' warning.
  * CMakeLists fix to fit with OpenEmbedded/Yocto meta-ros layer.
    Increase the compatibility of the ros_control code with
    meta-ros, an OpenEmbedded/Yocto layer that provides recipes for ROS
    packages disabling catking checking the variable CATKIN_ENABLE_TESTING.

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 10 Oct 2013 23:00:00 -0000

ros-lunar-hardware-interface (0.5.7-0yakkety) yakkety; urgency=high

  * Updated changelogs
  * Author/maintainer list update.

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 29 Jul 2013 23:00:00 -0000

ros-lunar-hardware-interface (0.5.6-0yakkety) yakkety; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 28 Jul 2013 23:00:00 -0000

ros-lunar-hardware-interface (0.5.5-0yakkety) yakkety; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 22 Jul 2013 23:00:00 -0000

ros-lunar-hardware-interface (0.5.4-0yakkety) yakkety; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 22 Jul 2013 23:00:00 -0000

ros-lunar-hardware-interface (0.5.3-0yakkety) yakkety; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 21 Jul 2013 23:00:00 -0000

ros-lunar-hardware-interface (0.5.2-0yakkety) yakkety; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 21 Jul 2013 23:00:00 -0000

ros-lunar-hardware-interface (0.5.1-0yakkety) yakkety; urgency=high

  * Typo fix

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 18 Jul 2013 23:00:00 -0000

ros-lunar-hardware-interface (0.5.0-0yakkety) yakkety; urgency=high

  * Add meta tags to packages not specifying them.
    - Website, bugtracker, repository.
  * Merged hydro-devel into master
  * Fix compiler warnings (-Wreorder)
  * Remove unused headers.
  * Unit test sensor interfaces.
  * Add default constructors to sensor handles.
  * Tests build.
  * Reneamed Github repo in documentation to ros-controls
  * Add missing brace.
  * Update sensor interfaces implementation.
    - Use resource managing classes introduced in recent hardware interface rework.
    - Conform to unified public API.
  * Remove Eigen dependency from hardware_interface.
    - Expose force-torque and IMU sensor data as const pointers to the raw data.
    - Client code should wrap raw data however they prefer.
  * Explicitly initialize IMU sensor handle members.
  * Scrape orientation interface prototype.
  * Add sensor ref frame field and capability queries.
  * Add sensor reference frame field.
  * First draft of sensor interfaces.
    - Force/torque (wrench)
    - Orientation
    - IMU (very crude approximation)

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 15 Jul 2013 23:00:00 -0000

ros-lunar-hardware-interface (0.4.0-0yakkety) yakkety; urgency=high

  * Version 0.4.0
  * 1.0.1
  * Add another convenience symbol demangling method.
    We already had:
    string foo_name = demangledTypeName<FooType>();
    which works great for typenames, but we were missing the equivalent for specific
    instances:
    FooType foo;
    string foo_name = demangledTypeName(foo);
    ...which works well for polymorphic types, returning the derived-most name.
  * Fix duplicate header guard.
  * Fix package URL in package.xml
  * Fix compiler warning (-Wreorder).
  * Restore documentation of handle parameters.
    Documentation that was previously in the interface classes before the
    hardware interface rework has been moved to the handle classes.
  * Fix ResourceManager exception messages.
    - Print derived class name instead of the less descriptive and more cryptic
    base class name. Eg.
    "hardware_interface::JointCommandInterface"
    instead of
    "hardware_interface::ResourceManager<hardware_interface::JointStateHandle>"
  * Trivial doc/whitespace fix.
  * Merge branch 'master' into hardware_interface_rework
    Conflicts:
    hardware_interface/CMakeLists.txt
  * Separate resource manager in two classes.
    - Refs #45 <https://github.com/davetcoleman/ros_control/issues/45>.
    - HardwareInterface specifics (ie. resource claiming) has been factored out.
    We now have the non-polymorphic ResourceManager class for registering and
    getting handles, and the polymorphic HardwareResourceManager that
    additionally implements the HardwareInterface and takes care of resource
    claiming.
    - The above change is required if the transmission interface is to leverage
    the resource management code, but without the hardware interface specifics.
    - Move files back to the internal folder. They are building blocks of the
    public API of hardware interfaces, but should not be directly #included
    by end users, so it's best they don't share the same location as
    user-facing headers.
    - Update unit tests.
  * Add missing include statement.
  * Validate raw data wrapped by hardware interfaces.
    - Refs #47 <https://github.com/davetcoleman/ros_control/issues/47> and #52 <https://github.com/davetcoleman/ros_control/issues/52>.
    - Initialize raw data pointers to 0 in default handle constructors, otherwise
    they evaluate to nonzero and there is no way to distinguish an uninitialized
    state (ie. dangling pointers) from a properly initialized one.
    - For non-empty handle constructors, validate input raw data, throw if invalid
    pointers are found.
    - Add assertions on handle accessors. Invalid reads will trigger the assertions
    instead of causing a segfault (in debug mode).
    - Update unit tests.
  * Warn when replacing a handle/interface.
    It is legitimate to change the underlying data associated to a handle/interface
    name, but it might also be a common programming error. Having the logs reflect
    this situation would allow to spot it easily.
  * Make error message more explicit in test.
    Output with ROS_ERROR_STREAM instead of std::cout
  * Add RobotHW class test.
  * Add virtual destructor, protected internals.
    - ResourceManager inherits from HardwareInterface, which has virtual methods,
    so a virtual destructor is required.
    - Internal members are protected instead of private.
  * Unit test hardware_interfaces.
  * More uniform hardware_interface API. Refs  #45 <https://github.com/davetcoleman/ros_control/issues/45>.
  * adding install targets
  * Restore joint resource claiming!.
    It had been mistakenly removed in a previous commit.
  * merging CMakeLists.txt files from rosbuild and catkin
  * adding hybrid-buildsystem makefiles
  * Fix package URLs.
  * Fix exception throwing.
  * Harmonize how variables are quoted in logs.
    - Unify to using 'single quotes'.
    - Fixes #42 <https://github.com/davetcoleman/ros_control/issues/42>.
  * Merge branch 'master' of https://github.com/willowgarage/ros_control
    Conflicts:
    hardware_interface/include/hardware_interface/joint_command_interface.h
  * Add explicit actuator hardware interfaces.
    - These classes are similar to the existing joint equivalents, and are useful
    in setups leveraging the transmission_interface.
  * Refactor named resource management code.
    - In preparation for the explicitly typed actuators interface, code for managing
    named resources has been refactored into a separate class. This code consists
    of convenience methods wrapping a std::map container, and occur often enough
    that factoring it out to prevent duplication makes sense.
    - Code that is not part of the public API, and hence with no stability guarantees
    has been moved to the internal folder/namespace. It only affects the named
    resource management and symbol demanglind methods so far.
  * catkinizing, could still be cleaned up
  * add accessor for command
  * Remove redundant semicolons.
  * Use demangled type names when available. Fixes #36 <https://github.com/davetcoleman/ros_control/issues/36>.
    Type names are used in different interfaces  such as hardware_interface and
    controller_interface. When symbol demangling is available (currently gcc 3.0+),
    operate on demangled names, as they are more convenient for human reading, eg.
    hardware_interface::VelocityJointInterface
    instead of
    N18hardware_interface22VelocityJointInterfaceE
  * Fix typo in rosdoc config files.
  * Fixing error message in JointCommandInterface
  * More documentation in hardware_interface
  * Adding template parameter doc
  * Changing @ commands to commands
  * Adding lots of inline documentation, rosdoc files
    adding inline doc to robot_hw
    adding inline doc to robot_hw
    adding inline doc to robot_hw
    more doc
    more documentation
    more doc
    more doc
    more doc
    more doc
    formatting
    adding more doc groups in controller manager
    adding more doc groups in controller manager
    Adding doc for controllerspec
    adding hardware interface docs
    adding doc to joint interfaces
    adding rosdoc for controller_interface
    Adding / reformatting doc for controller interface
  * Add missing explicit header dependency.
    Don't get required header transitively, but explicitly.
  * Add mising roscpp dependency.
  * cleanup
  * move realtime tools in ros control, and create empty constructors for handles
  * Doing resource conflict check on switchControllers call
  * Adding in resource/claim infrastructure
  * Refactoring joint command interfaces. Also added getJointNames()
  * Switching to owned interfaces, instead of multiple virtual inheritance
  * Changing interface names
  * joint interfaces now throw on null joint value ptrs
  * JointState is now JointMeasurement, to prevent naming collisions with pr2_mechanism
  * Fixing copyright header text
  * Joint interfaces now operate on pointers, instead of refs
  * Tweaking inheritance to be virtual so it compiles. dummy app with controller manager compiles
  * started controller_manager_tests. untested
  * all pkgs now ported to fuerte
  * hardware interface ported to fuerte
  * more renaming
  * new naming scheme
  * running controller with casting. Pluginlib still messed up
  * add macro
  * running version, with latest pluginlib
  * compiling version
  * untested stuff, debians are screwed up
  * compiling version
  * first catkin stuff

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 24 Jun 2013 23:00:00 -0000


